package com.yc.ship.module.trade.service.invoice;


import com.yc.ship.module.trade.dal.dataobject.invoice.InvoiceDetailDO;
import com.yc.ship.module.trade.dal.dataobject.order.TradeOrderDO;

import java.util.List;

/**
 * 发票订单关系 Service 接口
 *
 * @author 管理员
 */
public interface InvoiceDetailService {

//    /**
//     * 创建发票订单关系
//     *
//     * @return 编号
//     */
    void createInvoiceDetail(List<TradeOrderDO> orderList, Long invoiceId);


    Boolean validOrderInvoiceDetail(String orderNo);

    /**
     * 获得发票订单关系
     *
     * @param id 编号
     * @return 发票订单关系
     */
    InvoiceDetailDO getInvoiceDetail(Long id);
    List<InvoiceDetailDO> getInvoiceDetails(Long id);



}